> ## Documentation Index
> Fetch the complete documentation index at: https://docsy3.mile.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Insight

> Insight reports are written summaries of your operations, generated from your task and data records: findings, a summary and suggested actions

## What is Insight?

Insight reports are written summaries of your operations, generated from your task and data records: findings, a summary and suggested actions. You set the context once per flow, then generate reports on demand or on a schedule.

## Key Features

> [card] [Read insight context](https://docsy3.mile.app/api-reference/analytics/insight-report/read-insight-context.md)
>
> GET /ai-insight/context/{objectId}

> [card] [Update insight context](https://docsy3.mile.app/api-reference/analytics/insight-report/update-insight-context.md)
>
> PUT /ai-insight/context/{objectId}

> [card] [Regenerate insight context](https://docsy3.mile.app/api-reference/analytics/insight-report/regenerate-insight-context.md)
>
> POST /ai-insight/context/{objectId}/regenerate

> [card] [Generate insight report](https://docsy3.mile.app/api-reference/analytics/insight-report/generate-insight-report.md)
>
> POST /ai-insight/generate

> [card] [Read insight reports](https://docsy3.mile.app/api-reference/analytics/insight-report/read-insight-reports.md)
>
> GET /ai-insight/results

> [card] [Read insight report by ID](https://docsy3.mile.app/api-reference/analytics/insight-report/read-insight-report-by-id.md)
>
> GET /ai-insight/results/{id}

> [card] [Delete insight report](https://docsy3.mile.app/api-reference/analytics/insight-report/delete-insight-report.md)
>
> DELETE /ai-insight/results/{id}

> [card] [Retry insight report](https://docsy3.mile.app/api-reference/analytics/insight-report/retry-insight-report.md)
>
> POST /ai-insight/results/{id}/retry


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.